function [ fid, fid_wave, fid_type  ] = delineation_rr_extract( sig,qrs_i_raw )
%split the signal into RR intervals and then process them using delineation_rstpq function
%we assume 250Hz sampling

%     min_RR_dist=25; %R peaks are separated by at least 100 samples (before). 
%                     % Maybe we can adjust this parameter computing first the heart rate in a window    
%     max_RR_dist=500; %There is for sure an R peak in 300 samples
%                     % 500; % This is the maximum number of samples in case
%                     % the atrial beat is premature enough that reaches the
%                     % AV node during its refractory period, in which case
%                     % it will not be conducted to the ventricule and there
%                     % will be no QRS complex following the P wave. In this
%                     % case the RR interval can be very long. It skips a
%                     % beat    
%     RR_value_diff=0.75; %Two consequent samples are at most 0.75 different in value
%     [R,R_ind]=max(sig(1:max_RR_dist));
    fid=[];
    fid_wave=[];
    fid_type=[];
%     while(R_ind+max_RR_dist<length(sig))
%         for i=min_RR_dist:min_RR_dist:max_RR_dist-min_RR_dist
%             [next_R,next_R_ind]=max(sig(R_ind+min_RR_dist:R_ind+min_RR_dist+i));
%             if(next_R>RR_value_diff*R)
%                 break;
%             end
%         end        
%         next_R_ind=next_R_ind+R_ind+min_RR_dist-1;
    for i=1:length(qrs_i_raw)-1
        R_ind = qrs_i_raw(i);
        next_R_ind = qrs_i_raw(i+1);
        [output,wave, type]=delineation_rstpq(sig(R_ind:next_R_ind));
        fid=[fid R_ind+output-1];
        fid_wave=[fid_wave wave];
        fid_type=[fid_type type];
    end

end

