function [ delbeats,amplbeats ] = delpoints_in_beats( index,type_wave,type_point,sig )
%DELPOINTS_IN_BEATS This function reshapes the delineation divided in
%points in rows of beats containing in this order P onset, P peak, P
%offset, Q, R, S, T onset, T peak, T offset

Pon = index(type_wave == 1 & type_point == 0);
Ppeak = index(type_wave == 1 & type_point == 1);
Poff = index(type_wave == 1 & type_point == 2);
Q = index(type_wave == 0 & type_point == 0);
R = index(type_wave == 0 & type_point == 1);
S = index(type_wave == 0 & type_point == 2);
Ton = index(type_wave == 2 & type_point == 0);
Tpeak = index(type_wave == 2 & type_point == 1);
Toff = index(type_wave == 2 & type_point == 2);

pointsCell = {Pon,Ppeak,Poff,Q,R,S,Ton,Tpeak,Toff};

[ delbeats ] = index_in_beats( pointsCell );
amplbeats = sig(delbeats);

end

