function [ isoline ] = isoelectric_line( fs,final_sig,tpeak,ppeak )
%ISOELECTRIC_LINE This function computes the isoelectric line in the signal
%(or windows of the signal) by averaging the median segments between T
%waves and the following P waves
samplesAfterT = round(fs*0.09);
samplesBeforeP = round(fs*0.035);
sigflat = final_sig(tpeak+samplesAfterT:ppeak-samplesBeforeP);
if(tpeak==ppeak || ppeak-tpeak<samplesAfterT+samplesBeforeP) % To check if p wave is in the t wave we check if they are the same or the distance between is at least the minimum duration of the waves (halfed)
    if(tpeak<=round(fs*0.11))
        isoline = 0;
    else
        isoline = mean(final_sig(tpeak-round(fs*0.11):tpeak-round(fs*0.09))); % Sometimes it happened that the p wave is inside the t wave
    end
else
    if(isempty(sigflat))
        isoline = mean(final_sig(tpeak:ppeak));
    else
        isoline = mean(final_sig(tpeak+samplesAfterT:ppeak-samplesBeforeP));
    end
end

end

