function [ indminED,eucldist ] = min_eucldist_isotriang( halfwave,baseline,flag,final_sig,pb,flagt )
%MIN_EUCLDIST_ISOTRIANG This function computes the euclidean distance
%between a wave and a diagonal segment from the peak of the wave to a point
%on the baseline. Also it computes the euclidean distance between the wave
%and the baseline at the point considered. It give as output the index at
%which these two euclidean distances are minimum
% flag = 1;
fs = 250;
distbeat=130;

if(flagt == 0)
    shift = 0;
else
    shift = 40;
end

refzero = zeros(1,length(halfwave));
peak = halfwave(1)-baseline;
halfwaveref = halfwave-baseline;
% figure(2)
% % if(flagonset==flag)
%     t=linspace(0,length(halfwaveref)/fs,length(halfwaveref));
%     tsig = linspace(0,(distbeat+1)/fs,distbeat+1);
%     if(flag==0 && flagt==0)
%         %     plot(t,halfwaveref,'b','LineWidth',5)
%         %     hold on
%         plot(tsig,final_sig(pb:pb+distbeat)-baseline,'b','LineWidth',7)
%         hold on
%         %     plot(t,zeros(length(halfwaveref),1),'k-.','LineWidth',2)
%         plot(tsig,zeros(distbeat+1,1),'k-.','LineWidth',4)
%         
%     else
% %     plot(-t(end:-1:1),halfwaveref(end:-1:1),'b','LineWidth',5)
% %     hold on
%     plot(-tsig(end:-1:1),final_sig(pb-distbeat:pb)-baseline,'b','LineWidth',7)
%     hold on
% %     plot(-t(end:-1:1),zeros(length(halfwaveref),1),'k-.','LineWidth',2)
%     plot(-tsig(end:-1:1),zeros(distbeat+1,1),'k-.','LineWidth',4)
%     end
%     ylabel('Voltage (mV)')
%     xlabel('Time (s)')
%     set(gca,'FontSize',20);
%     set(gca,'FontWeight','bold');
%     hold on
% % end
for i=1:length(halfwave)
    
    % Create half triangle-wave
    x = 0:i-1;
    triangline = -(peak/i).*x+ peak;
    triangwave = [triangline refzero(i+1:end)];
    
    eucldist(i) = norm(halfwaveref - triangwave',2);
end

indminED = find(eucldist==min(eucldist), 1 );

% %     if(flagonset==flag)
%         x = 0:indminED-1;
%         triangline = -(peak/indminED).*x+ peak;
%         triangwave = [triangline refzero(indminED+1:end)];
%         if(flag==0)
%         plot(t,triangwave,'r--','LineWidth',5)    
%         hold on
%         plot(t(indminED),halfwaveref(indminED),'go','LineWidth',6,'MarkerSize',20)
%         hold on
%         plot(t(1),halfwaveref(1),'ko','LineWidth',6,'MarkerSize',20)
%         hold on
%         plot(t,zeros(length(halfwaveref),1),'k-.','LineWidth',4)
%         else
%         plot(-t(end:-1:1),triangwave(end:-1:1),'r--','LineWidth',5)
%         hold on
%         plot(-t(indminED),halfwaveref(indminED),'go','LineWidth',6,'MarkerSize',20)
%         hold on
%         plot(-t(end:-1:1),zeros(length(halfwaveref),1),'k-.','LineWidth',4)
%         end
%         legend({'P-wave','Isoelectric line','Triangle wave'},'FontSize',20)
%         axis auto
%         hold on
% %     end

end

