function sig_short_no_bl = remove_baseline_ecg(signal, fs)       
%% Removing the baseline from ECG signal... 

%First phase: Applying 200ms median filter to eliminate QRS
%complexes and P wave -> fs * 0.2 samples

sig_med1 = medfilt1(signal, ceil(fs * 0.2));

%Second phase: Applying 600ms median filter to eliminate T wave -> 250*0.6

sig_med2 = medfilt1(sig_med1, ceil(fs * 0.6));

sig_short_no_bl = signal - sig_med2;

end

